#!/usr/bin/python env
# ui/logview.py: A helper module for dealing with GtkTreeViews and GtkListStores

import re
from threading import Thread
import gobject


def get_selected(treeview, n=1, threaded=False):
    """Get the selected treeview and return the row"""
    selection = treeview.get_selection()
    model, selection_iter = selection.get_selected()
    if selection_iter:
        return model.get(selection_iter, *range(n))

def append_results(liststore, results, threaded=False):
    """appends rows to the liststore"""
    for result in results: # for item in list of items
        try:
            liststore.append([result.Channel, result.User, result.Message, result.Time, result.Raw_Message])
        except ValueError: print "ValueError"
