#!/usr/bin/python env
# ui/morelines.py: A gtk dialog which displays text on a textview

import sys
import gtk

class MorelinesDialog(object):
    def __init__(self, text):
        self.Builder = gtk.Builder()
        self.Builder.add_from_file(sys.path[0] + "/ui/dialog.glade")
        self.Builder.connect_signals({"on_morelines_close_button_clicked":self.on_morelines_close_button_clicked})
        self.dialog = self.Builder.get_object("morelines_dialog")
        textbuffer = self.Builder.get_object("morelines_textbuffer")
        textbuffer.set_text(text)
        self.dialog.show()

    def on_morelines_close_button_clicked(self, widget, *args, **kwargs):
        widget.get_window().destroy()

